:root {
    --scrollbar-width: 0px;
    --bianco: #ffffff;
    --nero: #000000;
}

html {
    width: 100%;
    min-height: 100%;
    float: left;
    margin: 0px;
    padding: 0px;
    color: black;
}

body {
    border: none;
    padding: 0px;
    margin: 0px;
    width: 100%;
    float: left;
    -webkit-text-size-adjust: 100%;
    font-size: 14px;
    line-height: 22px;
    font-weight: 400;
    color: var(--nero);
    position: relative;
}

div,
p,
h1,
h2,
h3,
h4,
h5,
h6,
ul,
footer,
header,
nav,
article,
main,
aside,
section,
form,
fieldset,
marquee,
figure,
figcation {
    float: left;
    margin: 0px;
    padding: 0px;
    width: 100%;
    text-align: left;
    text-decoration: none;
    -webkit-text-size-adjust: 100%;
}

img {
    text-decoration: none;
    border: none;
    vertical-align: middle;
    height: auto;
}

iframe {
    margin: 0px;
    padding: 0px;
    border: none;
    /*    height: auto;
    width: 100%;*/
}

a {
    outline: none;
    text-decoration: none;
    cursor: pointer;
    transition: color 0.4s;
    -webkit-transition: color 0.4s
    font-weight: 700;
    text-decoration: underline;
}

li {
    outline: none;
}

i,
em,
.italic {
    font-style: italic;
    font-weight: inherit;
}

i strong,
em strong {
    font-style: italic;
}

.underline {
    text-decoration: underline;
}

.hidden {
    display: none;
}

.vis_hidden {
    visibility: hidden;
}

.over_hidden {
    overflow: hidden;
}

.block {
    display: block;
}

.flex {
    display: flex;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

.flex-right {
    display: flex;
    justify-content: flex-end;
}

.flex-left {
    display: flex;
    justify-content: flex-start;
}

.justify-center {
    justify-content: center;
}

.justify-left {
    justify-content: flex-start;
}

.mobile {
    display: none;
}

.opacity_0 {
    opacity: 0;
}

.opacity_1 {
    opacity: 1;
}

.inline-block {
    display: inline-block;
}

.inline-desktop {
    display: inline;
}

.relative {
    position: relative;
}

.absolute {
    position: absolute;
}

.pointer {
    cursor: pointer;
}

.wait {
    cursor: wait;
}

.left {
    float: left;
}

.right {
    float: right;
}

.none {
    float: none;
}

.clear {
    clear: both;
}

.v_top {
    vertical-align: top;
}

.text_top {
    vertical-align: text-top;
}

.v_middle {
    vertical-align: middle;
}

.v_bottom {
    vertical-align: bottom;
}

.m_auto {
    margin: 0px auto;
}

.w_auto {
    width: auto;
}

.w_100pe {
    width: 100%;
}

.w_50pe {
    width: 50%;
}

.max_w100pe {
    max-width: 100%;
}

.max_w50pe {
    max-width: 50%;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.text-justify {
    text-align: justify;
}

.text-truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.extralight {
    font-weight: 200;
}

.light {
    font-weight: 300;
}

.normal {
    font-weight: 400;
}

.style-normal {
    font-style: normal;
}

.strike {
    text-decoration: line-through;
}

.medium {
    font-weight: 500;
}

.bold,
strong,
b {
    font-weight: 700;
}
.red {
    color: red;
}

.black,
.nero {
    color: var(--nero);
}

.white,
.bianco {
    color: var(--bianco);
}

.cover {
    background-size: 100% 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.cover-left {
    background-size: 100% 100%;
    background-size: cover;
    background-position: left center;
    background-repeat: no-repeat;
}

.cover-picture {
    border-radius: 10px;
    overflow: hidden;
}

.cover-picture img,
.cover-picture-full img {
    object-fit: cover;
    width: 100%;
}

.cover-picture img {
    border-radius: 10px;
}

.cover-picture-center {
    text-align: center;
    overflow: hidden;

}

.cover-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.cover-picture img {
    height: auto;
}

.cover-picture-full img {
    height: 100%;
}

.picture-full {
    display: block;
    float: left;
    width: 100%;
}

.picture-full img {
    width: 100%;
}

.uppercase {
    text-transform: uppercase;
}

.lowercase {
    text-transform: lowercase;
}

.capitalize {
    text-transform: capitalize;
}
.gen-text-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.flex-reverse-row {
    flex-direction: row-reverse;
}
